org.apache.solr.client.solrj.request

## Class CollectionAdminRequest.CollectionShardAdminRequest

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest
  - - org.apache.solr.client.solrj.request.CollectionAdminRequest
    - - org.apache.solr.client.solrj.request.CollectionAdminRequest.CollectionShardAdminRequest

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  CollectionAdminRequest.AddReplica, CollectionAdminRequest.CreateShard, CollectionAdminRequest.DeleteShard, CollectionAdminRequest.SplitShard

Enclosing class:
  CollectionAdminRequest

    protected static class CollectionAdminRequest.CollectionShardAdminRequest
    extends CollectionAdminRequest

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

`CollectionAdminRequest.AddReplica, CollectionAdminRequest.CollectionShardAdminRequest, CollectionAdminRequest.Create, CollectionAdminRequest.CreateAlias, CollectionAdminRequest.CreateShard, CollectionAdminRequest.Delete, CollectionAdminRequest.DeleteAlias, CollectionAdminRequest.DeleteShard, CollectionAdminRequest.Reload, CollectionAdminRequest.RequestStatus, CollectionAdminRequest.SplitShard`

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.METHOD`

### Field Summary

Fields
`protected String` `shardName`

### Fields inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

`action, asyncId, collection`

### Constructor Summary

Constructors
`protected` `CollectionAdminRequest.CollectionShardAdminRequest()`

### Method Summary

Methods
`ModifiableSolrParams` `getCommonParams()`
`SolrParams` `getParams()`
`String` `getShardName()`
`void` `setShardName(String shard)`

### Methods inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

`createAlias, createCollection, createCollection, createCollection, createCollection, createCollection, createCollection, createCollection, createCollection, createShard, createShard, deleteAlias, deleteCollection, deleteCollection, deleteShard, getContentStreams, process, reloadCollection, reloadCollection, requestStatus, setAction, setAsyncId, setCollectionName, splitShard, splitShard, splitShard, splitShard`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`getMethod, getPath, getResponseParser, getStreamingResponseCallback, setMethod, setPath, setResponseParser, setStreamingResponseCallback`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### shardName

    protected String shardName

### Constructor Detail

#### CollectionAdminRequest.CollectionShardAdminRequest

    protected CollectionAdminRequest.CollectionShardAdminRequest()

### Method Detail

#### setShardName

    public void setShardName(String shard)

#### getShardName

    public String getShardName()

#### getCommonParams

    public ModifiableSolrParams getCommonParams()

#### getParams

    public SolrParams getParams()

Overrides:
  `getParams` in class `CollectionAdminRequest`